[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: pam module to enforce password requirements, etc.



On Tue, Jun 26, 2001 at 06:19:24AM -0800, Ethan Benson wrote:
> On Tue, Jun 26, 2001 at 09:07:11AM -0500, Rick Goyette wrote:
> > Is there a pam module available that can enforce password 
> > requirements when a user changes their password?  That is to say, 
> > require that a new password contain special characters and digits, as 
> > well as upper and lower case letters?
> 
> try reading the pam docs, its called pam_cracklib.  it has a tendency
> to be overzealous if you don't tweak it just right though (even even
> then too...)

So drop it and use pam_passwdqc (http://www.openwall.com/passwdqc/). ;-)

pam_cracklib really can't be made to handle passphrases reasonably.

-- 
/sd





[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index] []